import 'package:flutter/material.dart';

navigateWithName(BuildContext context, String routeName, {Object? arguments}) {
  Navigator.pushNamed(context, routeName, arguments: arguments);
}


navigateReplaceWithName(BuildContext context, String routeName, {Object? arguments}) {
  Navigator.pushReplacementNamed(context, routeName, arguments: arguments);
}

pop(BuildContext context) {
  Navigator.of(context).pop();
}

navigateTo(context, page) {
  Navigator.push(context, MaterialPageRoute(builder: (context) => page));
}